﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Arction.WinForms.Charting;
using Arction.WinForms.Charting.SeriesXY;

namespace ErrorBars
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            var view = lightningChartUltimate1.ViewXY;
            view.FreeformPointLineSeries.Add(
                new FreeformPointLineSeries(view, view.XAxes.First(), view.YAxes.First())
                {
                    ErrorBars =
                    {
                        ShowXError = true,
                        ShowYError = true
                    },
                    PointsType = PointsType.ErrorPoints
                });

            timer1.Interval = 500;
            timer1.Enabled = true;
        }
        private Random rand = new Random();
        private void timer1_Tick(object sender, EventArgs e)
        {
            lightningChartUltimate1.BeginUpdate();

            var view = lightningChartUltimate1.ViewXY;
            var xAxis = view.XAxes.First();
            var yAxis = view.YAxes.First();
            var x = rand.NextDouble() * (xAxis.Maximum - xAxis.Minimum);
            var y = rand.NextDouble() * (yAxis.Maximum - yAxis.Minimum);
            var point = new SeriesErrorPoint(x, y, x * 0.1F, x * 0.1F, y * 0.1F, y * 0.1F);
            var series = lightningChartUltimate1.ViewXY.FreeformPointLineSeries.First();
            series.AddPoints(new [] {point}, true);

            lightningChartUltimate1.EndUpdate();
        }
    }
}
